% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iosam_functions.R
\name{aggregate_iosam}
\alias{aggregate_iosam}
\title{Aggregation}
\usage{
aggregate_iosam(x, map, map_columns)
}
\arguments{
\item{x}{an object of \code{iosam} class.}

\item{map}{a data frame with the map for aggregation. Its first
vector should correspond to x labels in rows.}

\item{map_columns}{a data frame with the map for columns' aggregation
(optional, used only if the table is non symmetric). Its first
vector should correspond to x labels in columns.}
}
\value{
An object of \code{iosam} class with aggregated data.
}
\description{
Function \code{aggregate_iosam} aggregates objects
             of \code{iosam} class.
}
\examples{
flowdata <- matrix(c(0, 0, 0, 38.1, 95.74, 133.84, 0, 0, 0, 9.44, 78.80,
                     88.24, 133.84, 88.24, 0, 0, 0, 222.08, 0, 0, 117.39,
                     68.4, 159.29, 345.08, 0, 0, 104.69, 229.14, 334.57,
                     668.4, 133.84, 88.24, 222.08, 345.08, 668.4, 0),
                   6, 6,
                   byrow = TRUE)
rows <- c("L", "K", "Household", "SectorA", "SectorB", "Total")
x <- iosam(flowdata, nproducts = c(2, 2),
           rows = rows, products_ind = c(4, 4))
x
map2 <- c("Factor", "Factor", "Household",
          "Sectors", "Sectors", "Total")
map <- data.frame(rows, map2, stringsAsFactors = FALSE)
xa <- aggregate_iosam(x, map)
xa


# Run the following code to copy the file with additional examples to
# your current working directory.
\dontrun{
file.copy(file.path(system.file("examples", package="gEcon.iosam"),
                  "databases.R"), getwd())
}

}
\keyword{IO}
\keyword{SAM}
\keyword{iosam}

