% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iosam_class.R
\name{iosam}
\alias{iosam}
\title{Constructor of objects of \code{iosam} class}
\usage{
iosam(flowdata, nproducts, rows, columns = NULL, products_ind = c(1, 1))
}
\arguments{
\item{flowdata}{a matrix with the values of intermediate outputs
(and additional data).}

\item{nproducts}{a numeric vector giving the number of products in
  rows and columns (for an Input-Output Table without
additional data, it is equal to the flowdata dimensions).}

\item{rows}{a vector giving the labels for rows (and for
columns, if parameter 'columns' is missing).}

\item{columns}{(default NULL) a vector giving the labels for
columns. If missing, labels from parameter 'rows' will be taken.}

\item{products_ind}{(default c(1,1)) a numeric vector with the
  location of the Input-Output Table's first element in the whole
matrix (for IO Tables - equal to c(1,1), for Social Accounting
Matrices - usually different from c(1,1)).}
}
\value{
An object of \code{iosam} class.
}
\description{
Constructor of objects of \code{iosam} class
}
\examples{
flowdata <- matrix(c(0, 0, 0, 38.1, 95.74, 133.84, 0, 0, 0, 9.44, 78.80,
                     88.24, 133.84, 88.24, 0, 0, 0, 222.08, 0, 0, 117.39,
                     68.4, 159.29, 345.08, 0, 0, 104.69, 229.14, 334.57,
                     668.4, 133.84, 88.24, 222.08, 345.08, 668.4, 0),
                   6, 6,
                   byrow = TRUE)
rows <- c("L", "K", "Household", "SectorA", "SectorB", "Total")
x <- iosam(flowdata, nproducts = c(2, 2),
           rows = rows, products_ind = c(4, 4))
x
summary(x)

}
\keyword{IO}
\keyword{SAM}
\keyword{classes}
\keyword{iosam}

